import { world, system, Player, BlockPermutation, ItemStack, EquipmentSlot } from "@minecraft/server"
import { StarLight } from "./Swordbasic";
import { Fireb } from "./Swordbasic";
import { Torment } from "./Swordbasic";
import { Tp_blast } from "./Swordbasic";
import { Vex_blast } from "./Swordbasic";
import { Eternal_mine } from "./Swordbasic";
import { Holo_hit } from "./Swordbasic";


StarLight(true);
Ehcottack(true);
Fireb(true);
Torment(true);
Tp_blast(true);
Vex_blast(true);
Eternal_mine(true);
Holo_hit(true);


world.afterEvents.entityDie.subscribe((data) => {
    const source = data.damageSource.damagingEntity
    const deadEntity = data.deadEntity
    const item = source.getComponent("equippable").getEquipment("Mainhand")
    const health = source.getComponent("health")
    const currentHealth = health.currentValue
    if (source.typeId === "minecraft:player" && item.typeId === "dancing_blades:tormented_holographic_claymore") {
        health.setCurrentValue(currentHealth + 6)
    }
})


Ehcottack()
function Ehcottack() { //echo
    world.beforeEvents.itemUseOn.subscribe((eventData) => {
        const { source: player, itemStack: item, block } = eventData;
        switch (item.typeId) {
            case "dancing_blades:echo_claymore":
                if (item?.typeId == "dancing_blades:echo_claymore") {
                    if (player.lastTick == undefined) { player.lastTick = 0 }
                    if (system.currentTick - player.lastTick > 3) {
                        player.runCommandAsync(`summon dancing_blades:sonicbooooooooom ${block.x} ${block.y + 10} ${block.z}`);
                        player.lastTick = system.currentTick;
                    }
                }
        }
    });
}
